summaryrefslogtreecommitdiffstats
path: root/office/hevea
diff options
context:
space:
mode:
author Dario Nicodemi <dario.sbo@gmail.com>2010-04-08 13:51:00 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-15 10:25:13 +0200
commit90927728e328a75e6d67481f3f3e8da97f01d163 (patch)
tree8dec0bc8d70c35ff5e00c005941f04d3f88a022f /office/hevea
parent9cb47019c849ab7ec56c9ffecbd29f8b75a9fcc2 (diff)
downloadslackbuilds-90927728e328a75e6d67481f3f3e8da97f01d163.tar.gz
slackbuilds-90927728e328a75e6d67481f3f3e8da97f01d163.tar.xz
office/hevea: Added (a LaTeX to HTML translator).
Diffstat (limited to 'office/hevea')
-rw-r--r--office/hevea/README7
-rwxr-xr-xoffice/hevea/hevea.SlackBuild68
-rw-r--r--office/hevea/hevea.info10
-rw-r--r--office/hevea/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/office/hevea/README b/office/hevea/README
new file mode 100644
index 0000000000..f1b4fa60bc
--- /dev/null
+++ b/office/hevea/README
@@ -0,0 +1,7 @@
+HEVEA is a LaTeX to HTML translator. The input language is a fairly
+complete subset of LaTeX2e (old LaTeX style is also accepted) and the
+output language is HTML that is (hopefully) correct with respect to
+version 4.0 (transitional). Exotic symbols are translated into symbols
+pertaining to the symbol font of the HTML browser.
+
+This requires ocaml.
diff --git a/office/hevea/hevea.SlackBuild b/office/hevea/hevea.SlackBuild
new file mode 100755
index 0000000000..5965e660f9
--- /dev/null
+++ b/office/hevea/hevea.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for hevea
+
+# Written by Dario Nicodemi dario.sbo@gmail.com
+
+PRGNAM=hevea
+VERSION=${VERSION:-1.10}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Patch the makefile on the fly to override the PREFIX and DESTDIR
+sed -i -e "\
+ s|^PREFIX=.*|PREFIX=/usr|; \
+ s|^LIBDIR=.*|LIBDIR=\$(PREFIX)/lib${LIBDIRSUFFIX}/hevea|; \
+ s|^LATEXLIBDIR=.*|LATEXLIBDIR=/usr/share/texmf/tex/latex/hevea|; \
+ s|^DESTDIR=.*|DESTDIR=$PKG|" \
+ Makefile
+
+make
+make install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES LICENSE README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/hevea/hevea.info b/office/hevea/hevea.info
new file mode 100644
index 0000000000..1b5ca88335
--- /dev/null
+++ b/office/hevea/hevea.info
@@ -0,0 +1,10 @@
+PRGNAM="hevea"
+VERSION="1.10"
+HOMEPAGE="http://hevea.inria.fr/"
+DOWNLOAD="http://hevea.inria.fr/distri/hevea-1.10.tar.gz"
+MD5SUM="24a631570bee3cc4b8350e9db39be62b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dario Nicodemi"
+EMAIL="dario.sbo@gmail.com"
+APPROVED="rworkman"
diff --git a/office/hevea/slack-desc b/office/hevea/slack-desc
new file mode 100644
index 0000000000..c7c953945e
--- /dev/null
+++ b/office/hevea/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+hevea: hevea (LaTeX to HTML translator)
+hevea:
+hevea: HEVEA is a LaTeX to HTML translator. The input language is a fairly
+hevea: complete subset of LaTeX2e (old LaTeX style is also accepted) and the
+hevea: output language is HTML that is (hopefully) correct with respect to
+hevea: version 4.0 (transitional).
+hevea:
+hevea: Exotic symbols are translated into symbols pertaining to the symbol
+hevea: font of the HTML browser.
+hevea:
+hevea: